Subject: scope enumeration? (was: Re: draft-ietf-zeroconf-reqts-08.txt)

From: Erik Guttman <[email-masked]>
Date: Fri, 13 Jul 2001 11:37:40 +0200 (MET DST)

> > draft-ietf-zeroconf-reqts-08.txt:
> > > 2.3.1  Scope Enumeration
> > >
> > >    Applications that leave the choice of scope up to the user require
> > >    the ability to enumerate what scopes the host is operating within.
> > >    In addition, services that are assigned relative addresses require
> > >    the ability to enumerate what scopes the host is within; only then
> > >    will a host be able to apply the relative address to a scope.
> > >
> > >    Requirements:
> > >    - MUST list which of the scopes (local, link-local, or site-local)
> > >      are available for hosts.
> > >    - MUST list per-scope address ranges that may be allocated.

> "Thomas Narten" <[email-masked]> wrote:
> > I'm not clear what the requirement above is. That is, *who* is
> > responsbile for the MUST? The application? How is the application
> > supposed to determine this? Is the point that this information must
> > somehow be determinable? (General comment: This may all be an artifact
> > from the fact that the Requirements bullets are not using full
> > sentences.)

I agree the writing is not clear here.

"Aidan Williams" <[email-masked]> replied:
> Yes, I think the point is that there should be a way for the
> application to find this information out.  Incidentally, this doesn't
> seem to just be a zeroconf requirement, but is probably true of any
> networking with non-trivial multicast applications.

Yes:  This requirement is derived from MALLOC WG's requirements.
The requirement here pertains to a zeroconf multicast address allocation
protocol.  This protocol has to expose its capabilities to applications.

ZMAAP only works in a subset of the scopes listed above (link-local,
unicast-prefix based and subnet-local).  The ZMAAP API exposes this
list to applications.  A future version of ZMAAP capable of interoperation
with MADCAP servers could support local, site-local or other scopes
as well.

Erik